# Uses of Enum
org.eclipse.birt.chart.model.attribute.VerticalAlignment

Packages that use VerticalAlignment
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of VerticalAlignment in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type VerticalAlignment
Modifier and Type
Field
Description
`static final List<VerticalAlignment>`
VerticalAlignment.`VALUES`
A public read-only list of all the 'Vertical Alignment' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return VerticalAlignment
Modifier and Type
Method
Description
`static VerticalAlignment`
VerticalAlignment.`get(int value)`
Returns the 'Vertical Alignment' literal with the specified integer value.
`static VerticalAlignment`
VerticalAlignment.`get(String literal)`
Returns the 'Vertical Alignment' literal with the specified literal value.
`static VerticalAlignment`
VerticalAlignment.`getByName(String name)`
Returns the 'Vertical Alignment' literal with the specified name.
`VerticalAlignment`
TextAlignment.`getVerticalAlignment()`
Returns the value of the 'Vertical Alignment' attribute.
`static VerticalAlignment`
VerticalAlignment.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VerticalAlignment[]`
VerticalAlignment.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type VerticalAlignment
Modifier and Type
Method
Description
`void`
TextAlignment.`setVerticalAlignment(VerticalAlignment value)`
Sets the value of the '`Vertical Alignment`' attribute.

## Uses of VerticalAlignment in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return VerticalAlignment
Modifier and Type
Method
Description
`VerticalAlignment`
AttributeFactoryImpl.`createVerticalAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`VerticalAlignment`
AttributeFactoryImpl.`createVerticalAlignmentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`VerticalAlignment`
TextAlignmentImpl.`getVerticalAlignment()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type VerticalAlignment
Modifier and Type
Method
Description
`static final TextAlignment`
TextAlignmentImpl.`createDefault(HorizontalAlignment ha, VerticalAlignment va)`
A convenient method to create a new TextAlignment instance and initialize its members
`void`
TextAlignmentImpl.`setVerticalAlignment(VerticalAlignment newVerticalAlignment)`